LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices


Reply
  Search this Thread
Old 05-20-2013, 06:51 AM   #1
ines8989
Member
 
Registered: Mar 2013
Posts: 62

Rep: Reputation: Disabled
Version of gcc ns2 with ubuntu 12.04


Hi please i want to know with version of gcc , g++ that works well with ubuntu 12.04 for ns2.
Please reply me
Thanks
 
Old 05-20-2013, 07:21 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,399

Rep: Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611
Quote:
which version of gcc , g++ that works well with ubuntu 12.04 for ns2
ns-allinone-2.35 : $ sudo apt-get install g++-4.4
>>> $ export CC=gcc-4.4 CXX=g++-4.4 && ./install

ns-allinone -2.26 .. -2.34 : gcc41-compat*1210, g++41-compat, post #47 :
http://www.linuxquestions.org/questi...532/page4.html
>>> $ export CC=gcc41 CXX=g++41 && ./install

-
 
1 members found this post helpful.
Old 02-08-2015, 10:53 PM   #3
reenkamal
LQ Newbie
 
Registered: Sep 2014
Posts: 14

Rep: Reputation: Disabled
Hello sir,
i want to work on ns2.35 on ubuntu 14.04 so which version of gcc should i install ???
thanq
 
Old 02-09-2015, 04:59 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,399

Rep: Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611Reputation: 3611
← ref #3, @reenkamal.

The old year 2011 "ns-allinone-2.35.tar.gz"
http://sourceforge.net/projects/nsna...allinone-2.35/
.. can use g++-4.4 (or g++-4.6) : $ sudo apt-get install g++-4.4 g++-4.6
→ $ cd ns-allinone-2.35/ && export CC=gcc-4.4 CXX=g++-4.4 && ./install

The updated (Nov 2014) ns-allinone-2.35_gcc482.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing
.. is (also) for the latest gcc/g++ versions -4.8.x .. -4.9.x.
I.e. this will do : $ sudo apt-get install g++

My Dec 2014 update also includes the official ns2 updates ..
. http://sourceforge.net/p/nsnam/patches/22/
. http://sourceforge.net/p/nsnam/patches/23/
. http://sourceforge.net/p/nsnam/patches/24/
→ → ns-allinone-2.35_gcc491.tar.gz
https://drive.google.com/file/d/0B7S...ew?usp=sharing

Latest is : ns-allinone-2.36.rc1.tar.gz
http://www.isi.edu/nsnam/dist/releas....36.rc1.tar.gz

-
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem in installing ns2.35 in ubuntu ( version linux mint ) in oracle virtualmachin ines8989 Linux - Desktop 18 11-08-2014 02:34 PM
how to install ns2.27 on Ubuntu 9.10 64-bits version bnkdul Linux - Software 20 03-10-2013 05:14 PM
[Ubuntu] Older gcc Version Siebenkeim Linux - Server 10 08-16-2012 02:53 PM
NS2 installation problem: no rule to make target 'VERSION' , needed by gen/version.c bilabongster Linux - Newbie 23 12-07-2011 12:54 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Networking

All times are GMT -5. The time now is 09:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration